Bug 1417694 - [dev-preview-stg] Jenkins deployment fails
Summary: [dev-preview-stg] Jenkins deployment fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: DeShuai Ma
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 16:52 UTC by Vikas Laad
Modified: 2017-02-02 18:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 18:09:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vikas Laad 2017-01-30 16:52:49 UTC
Description of problem:
Testing 3.4.1.2, using template jenkins-persistent application does not come up. See following error in pod logs

  1s		1s		1	{kubelet ip-172-31-9-167.ec2.internal}					Warning		FailedSync	Error syncing pod, skipping: failed to "StartContainer" for "deployment" with RunContainerError: "runContainer: operation timeout: context deadline exceeded"



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. oc new-project test
2. oc new-app --template=jenkins-persistent
3. see the following errors

root@ip-172-31-31-228: ~ # oc get pods
NAME               READY     STATUS              RESTARTS   AGE
jenkins-1-deploy   0/1       ContainerCreating   0          7m

root@ip-172-31-31-228: ~ # oc describe pod jenkins-1-deploy
Name:			jenkins-1-deploy
Namespace:		jenkins
Security Policy:	restricted
Node:			ip-172-31-9-167.ec2.internal/172.31.9.167
Start Time:		Mon, 30 Jan 2017 11:42:26 -0500
Labels:			openshift.io/deployer-pod-for.name=jenkins-1
Status:			Pending
IP:			
Controllers:		<none>
Containers:
  deployment:
    Container ID:	
    Image:		registry.ops.openshift.com/openshift3/ose-deployer:v3.4.1.2
    Image ID:		
    Port:		
    Limits:
      cpu:	1
      memory:	512Mi
    Requests:
      cpu:		60m
      memory:		307Mi
    State:		Waiting
      Reason:		ContainerCreating
    Ready:		False
    Restart Count:	0
    Volume Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from deployer-token-z82gp (ro)
    Environment Variables:
      KUBERNETES_MASTER:	https://ip-172-31-5-175.ec2.internal
      OPENSHIFT_MASTER:		https://ip-172-31-5-175.ec2.internal
      BEARER_TOKEN_FILE:	/var/run/secrets/kubernetes.io/serviceaccount/token
      OPENSHIFT_CA_DATA:	-----BEGIN CERTIFICATE-----
MIIC5jCCAdCgAwIBAgIBATALBgkqhkiG9w0BAQswJjEkMCIGA1UEAwwbb3BlbnNo
aWZ0LXNpZ25lckAxNDYyMzgyMTQ4MB4XDTE2MDUwNDE3MTU0OFoXDTIxMDUwMzE3
MTU0OVowJjEkMCIGA1UEAwwbb3BlbnNoaWZ0LXNpZ25lckAxNDYyMzgyMTQ4MIIB
IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmhItzEzCoeleDJVlohVqRDTM
8mylN8QDRlUHEOuYwqGyiEVD4ZLUtU/Pojw8xBpwKjrujs9QHl4a0iz6wPFDWbuE
0fEfatGgotcoLkK2jir5xaIaROAbdU6Qn+Gvu2EwEDi8lQIUv+0kiNN9B/AuOnN4
ygG4Y7L6RuGyhA5jC6vvEm0o2PC3U0z3I/f+NpuVd8EzGgEJG5Pv301lSUs8TQ9F
73guV84jm7HjaRMVnvQ0E/UPlVmqb3SsChSwc9lIp4ceXFxlTT1piMY0cLzxCWOm
F3P4OMNo8a6Nztc4EapEKC/W1rHDg6D2jOqbi4jLfH6ANBvfzz+52bBBDYF8UQID
AQABoyMwITAOBgNVHQ8BAf8EBAMCAKQwDwYDVR0TAQH/BAUwAwEB/zALBgkqhkiG
9w0BAQsDggEBAGF5TyaO0e36alfKqmu4N8COU2D/n/86bhj942+3qr3O7l9i4lj6
NbR9NloqpNSvj5uxku7CHwr1vQSZOgm0dF8MCMESbPb4zwMf8Nddu9oPtf7GC8CZ
YA4yReP0QY7ri2rnH5UFOmb/SKFXMU4ivV77WMqZGcrqLDs9zrDGxudp3s4zIVc8
E+QeK+wo/rvlPB4sXgsXeYMGRX+j2Cm99GslI5sglIESC7LIFjS+3Q9Rr52k6XM3
dt4AalgPuP6S38bxjZuS9zi6+9qdrm9xFQa6nTaG5AJWnXguztAd8o9lr0cBU8Lt
QWFLM1WzmmcHItx7179/ps6LCG/zf+4Pg+M=
-----END CERTIFICATE-----

      OPENSHIFT_DEPLOYMENT_NAME:	jenkins-1
      OPENSHIFT_DEPLOYMENT_NAMESPACE:	jenkins
Conditions:
  Type		Status
  Initialized 	True 
  Ready 	False 
  PodScheduled 	True 
Volumes:
  deployer-token-z82gp:
    Type:	Secret (a volume populated by a Secret)
    SecretName:	deployer-token-z82gp
QoS Class:	Burstable
Tolerations:	<none>
Events:
  FirstSeen	LastSeen	Count	From					SubobjectPath			Type		Reason		Message
  ---------	--------	-----	----					-------------			--------	------		-------
  8m		8m		1	{default-scheduler }							Normal		Scheduled	Successfully assigned jenkins-1-deploy to ip-172-31-9-167.ec2.internal
  5m		5m		1	{kubelet ip-172-31-9-167.ec2.internal}	spec.containers{deployment}	Normal		Pulling		pulling image "registry.ops.openshift.com/openshift3/ose-deployer:v3.4.1.2"
  5m		5m		1	{kubelet ip-172-31-9-167.ec2.internal}	spec.containers{deployment}	Normal		Pulled		Successfully pulled image "registry.ops.openshift.com/openshift3/ose-deployer:v3.4.1.2"
  3m		3m		1	{kubelet ip-172-31-9-167.ec2.internal}	spec.containers{deployment}	Warning		Failed		Failed to create docker container "deployment" of pod "jenkins-1-deploy_jenkins(00ad28e4-e70b-11e6-8b00-0ea1922a9381)" with error: operation timeout: context deadline exceeded
  3m		3m		1	{kubelet ip-172-31-9-167.ec2.internal}					Warning		FailedSync	Error syncing pod, skipping: failed to "StartContainer" for "deployment" with RunContainerError: "runContainer: operation timeout: context deadline exceeded"


Actual results:
See the errors

Expected results:
Pods should run fine and Jenkins should deploy.

Additional info:

Comment 1 Vikas Laad 2017-01-30 16:58:48 UTC
After 15 mins I see following

root@ip-172-31-31-228: ~ # oc get pods
NAME               READY     STATUS              RESTARTS   AGE
jenkins-1-ajiod    1/1       Running             0          2m
jenkins-1-deploy   0/1       RunContainerError   0          14m

after few more mins deploy pod is gone and I see Jenkins pod Running

Comment 3 Vikas Laad 2017-02-02 14:46:49 UTC
This started working later, there was something going on that day.


Note You need to log in before you can comment on or make changes to this bug.